Upgrade Error after 1.12.1 to 1.12.2



  • Hi, nach einem Update bekomme ich folgenden Fehler:

    Fatal error: Uncaught Error: Class 'idoit\Module\License\LicenseServiceFactory' not found in /var/www/domain.de/updates/versions/v1.12.2/migration/license_migration.php:47 Stack trace: #0 /var/wwwdomain.de/updates/classes/isys_update_migration.class.php(98): include() #1 /var/www/domain.de/updates/update.inc.php(834): isys_update_migration->migrate('/var/www/i-doit...') #2 /var/www/domain.de/src/hypergate.inc.php(152): include_once('/var/www/i-doit...') #3 /var/www/domain.de/index.php(231): include_once('/var/www/i-doit...') #4 {main} thrown in /var/www/domain.de/updates/versions/v1.12.2/migration/license_migration.php on line 47

    Nach dem refreshen der Seite bekomme ich allerdings die Version 1.12.2 angezeigt.
    Ist jetzt alles ok oder soll ich ein Snapshot einspielen ?

    Wenn ich wieder auf Update gehe bekomme ich die Version 1.12.3 angezeigt als Kandidat, kann es aber nicht herunterladen.

    Wenn ich auf eurer Website die Version herunterladen will schlägt dies ständig fehl. Hab ich ein Problem mit der Verbindung zu i-doit oder wo könnte das Problem liegen ?

    2019-09-13 15_15_48-.png

    Gibt es die Möglichkeit manuell zu updaten oder wäre es ratsam das ich Version 1.13 installiere, einen Export mache und diesen in die 1.13 importiere ?


  • i-doit Kenner

    Hi,

    ich würde einen Snapshot einspielen und dann direkt auf die 1.13 springen. Ich meine, dass es auch einen Bug beim Update von der 1.12.2 auf die 1.12.3 gab, bei dem man das Paket manuell herunterladen und einspielen musste. Letztendlich fühlt sich ein solches System "korrumpiert" an, wenn man mal beim Update Fehlermeldungen hatte. Spätestens wenn man später auf einen Fehler trifft und sich fragt, ob das was damit zu tun haben könnte. Dann lieber einen Schritt zurück und wieder drei Vorwärts. 😄

    Liebe Grüße
    Christian


Log in to reply
 


Datenschutz / Privacy Policy